#include <gtk--/window.h>
#include <gtk--/drawingarea.h>

class GUILinVis: public Vis, public SigC::Object {
 public:
  GUILinVis (PlayParm *pps);
  virtual void set_parms (Parm *p);
  void redisp (int chunk);
  void get_age ();
 private:
  Gtk::Window mainwnd;
  Gtk::DrawingArea drawing_area;

  GdkRectangle chunk_to_rect (int i);
  int expose (GdkEventExpose *e);
  void size_allocate (GtkAllocation *a);
  void calc_sizes (const GtkAllocation *a);
  int button_release (GdkEventButton *b);
  int chunk_width;
  int chunks_per_line;
  int n_lines;
  int chunk_height;
  unsigned int chunk_cnt;
};
