#include <gtk--/window.h>
#include <gtk--/drawingarea.h>
#include <gtk--/scrolledwindow.h>

class GUIDistVis: public Vis, public SigC::Object {
 public:
  GUIDistVis (PlayParm *pps); 

  virtual ~GUIDistVis ();
  virtual void set_parms (Parm *p);
  virtual void redisp (int chunk);
 private:
  Gtk::ScrolledWindow scroller;
  Gtk::Window mainwnd;
  Gtk::DrawingArea drawing_area;
  typedef struct tag_drawdata {
    tag_drawdata ();
    void set_hw (unsigned int height, unsigned int width);
    int h;
    int w;
    guchar *rgbbuf;
  } draw_data;
  draw_data draw_dat;
  int expose (GdkEventExpose *e);
  int button_release (GdkEventButton *b);
  unsigned int chunk_cnt;
};
