class PlayParm {
 public:
  virtual void set_chunk (unsigned int chunk) = 0;
  virtual void set_max_age (int age) = 0;
  virtual int get_max_age () = 0;

  virtual int get_age_of_chunk (unsigned int chunk) = 0;
  virtual int get_prev (unsigned int chunk) = 0;
};

class Vis {
 public:
  Vis (PlayParm *pp);
  virtual ~Vis ();
  typedef struct {
    unsigned int nchunk;
    Samples *samples;
  } Parm;
  virtual void set_parms (Parm *p) = 0;
  // set_parms can be called any number of times.

  virtual void redisp (int chunk) = 0;
  // redisp is misnomer.  Usually should just invalidate instead of
  // redisping right away for each chunk played, redisp is called for 
  // that chunk and n  older chunks.
 protected:
  PlayParm *play_parm;
};
