/* 
 * Copyright (C) 2000-1 Aaron Lav, asl2@pobox.com
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#include "stuff.h"

#include "vis.h"
#include "visfact.h"
#include "guilinvis.h"
#include "guidistvis.h"


Vis *mk_vis (unsigned int which, PlayParm *pps)
{
  switch (which) {
  case 0:
    return new GUILinVis (pps);
  case 1:
    return new GUIDistVis (pps);
  default:
    return NULL;
  }
}
